Query completion history
GET
/api/completions
Authorizations
bearerAuth
API token created via POST /api/tokens or the db:create-token CLI command
Type
HTTP (bearer)
Parameters
Query Parameters
task_id
Type
integer
date
Filter by completion date (YYYY-MM-DD, UTC calendar date)
Type
string
Format
"date"since
Filter to completions at or after this instant. Must be paired with until.
Type
string
Format
"date-time"until
Filter to completions before this instant. Must be paired with since.
Type
string
Format
"date-time"Responses
Completion records
application/json
JSON
{
"data": {
"completions": [
{
"id": 0,
"task_id": 0,
"user_id": 0,
"completed_at": "string",
"due_at_was": "string",
"due_at_next": "string",
"task_title": "string",
"project_id": 0,
"is_reminder": true,
"is_tracked": true,
"progress_target": 0
}
],
"count": 0
}
}
GET
/api/completions
